# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @description This is an implementation in C to calculate the error between
#' a reconstructed MID and the observed intensity distribution.
#' @keywords internal
#' @noRd
NULL

calc_mid_error_C <- function(md, reconstructed_mid, best_r, r_shift) {
    .Call(`_CorMID_calc_mid_error_C`, md, reconstructed_mid, best_r, r_shift)
}

#' @title poss_local_C.
#' @description \code{poss_local_C} will compute a matrix of possibilities.
#' @details Within the approximation process we need to check various hypotheses
#'    of MID and r combinations. A non-redundant set of possible combinations can
#'    be computed with this \code{poss_local_C}.
#' @param vec The starting vector sum(vec) should be 1.
#' @param d The maximum allowed deviation for each element in vec.
#' @param prec Precision of allowed errors.
#' @param limits A 2-row matrix with lower and upper boundaries for the result vectors.
#' @param by Passed as parameter to function \code{seq}.
#' @param length Passed as parameter to function \code{seq}. Not evaluated if by is specified.
#' @return A matrix with rowSums\~1 and within the limits defined by vec, d and limits.
#' @keywords internal
#' @noRd
NULL

poss_local_C <- function(vec, d, prec = 0.001, limits = NULL, by = 1.0, length = 0L) {
    .Call(`_CorMID_poss_local_C`, vec, d, prec, limits, by, length)
}

